# Uses of Interface
com.sun.source.tree.BlockTree

Packages that use BlockTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of BlockTree in com.sun.source.tree

  Methods in com.sun.source.tree that return BlockTree
  Modifier and Type
  Method
  Description
  `BlockTree`
  CatchTree.`getBlock()`
  Returns the catch block.
  `BlockTree`
  SynchronizedTree.`getBlock()`
  Returns the block of the `synchronized` statement.
  `BlockTree`
  TryTree.`getBlock()`
  Returns the block of the `try` statement.
  `BlockTree`
  MethodTree.`getBody()`
  Returns the method body, or `null` if this is an abstract or native method.
  `BlockTree`
  TryTree.`getFinallyBlock()`
  Returns the finally block provided in the `try` statement, or `null` if there is none.
  Methods in com.sun.source.tree with parameters of type BlockTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitBlock(BlockTree node, P p)`
  Visits a `BlockTree` node.

- ## Uses of BlockTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type BlockTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitBlock(BlockTree node, P p)`
  Visits a `BlockTree` node.
  `R`
  TreeScanner.`visitBlock(BlockTree node, P p)`
  Visits a `BlockTree` node.